## org.plovr
Class CoffeeFile

    java.lang.Object
      org.plovr.AbstractJsInput
          org.plovr.LocalFileJsInput
              org.plovr.CoffeeFile

All Implemented Interfaces:
  com.google.javascript.jscomp.SourceFile.Generator, JsInput

    public class CoffeeFile

extends LocalFileJsInput

`CoffeeFile` represents a CoffeeScript source file on disk.

Author:
  bolinfest@gmail.com (Michael Bolin)

Nested Class Summary

Nested classes/interfaces inherited from interface org.plovr.JsInput
`JsInput.CodeWithEtag`

Field Summary

Fields inherited from class org.plovr.AbstractJsInput
`provides, requires`

Method Summary
`java.lang.String` `getCode()`

Methods inherited from class org.plovr.LocalFileJsInput
`equals, getSource, hashCode, hasInputChanged`

Methods inherited from class org.plovr.AbstractJsInput
`calculateEtagFor, getCodeWithEtag, getName, getProvides, getRequires, getTemplateCode, isSoyFile, processProvidesAndRequires, supportsEtags, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getCode

    public java.lang.String getCode()
                             throws PlovrCoffeeScriptCompilerException

  Specified by:
    `getCode` in interface `com.google.javascript.jscomp.SourceFile.Generator`
  Specified by:
    `getCode` in interface `JsInput`
  Specified by:
    `getCode` in class `AbstractJsInput`
  Returns:
    JavaScript code
  Throws:
    `PlovrCoffeeScriptCompilerException` - if the CoffeeScript compiler encounters an error trying to compile the source